HTTP Server
HTTP Server (http-server)
Section titled “HTTP Server (http-server)”Run an HTTP server and output any received requests.
Http binary json raw
Minimal example
Section titled “Minimal example”input: http-server: address: ~JSON
{ "input": { "http-server": { "address": null } }}Contents
Section titled “Contents”A ✓ marks a field that accepts a context variable such as
{{ VARIABLE }}.
Behavior
Section titled “Behavior”Behavior
| Field | Type | Required | Description |
|---|---|---|---|
only-body ✓ |
boolean (bool) |
Only print out body, assumed to be JSON. Default: false |
|
query |
string |
Only print out given query var. | |
json ✓ |
boolean (bool) |
Data is assumed to be already JSON. Default: false |
|
ignore-linebreaks ✓ |
boolean (bool) |
Do not split body on line breaks. Default: false |
|
body-capture |
Body Capture |
Optional request-body projection for the normal JSON envelope. With byte-exact: base64, the envelope gains body_base64 and body_size_bytes derived directly from the received bytes. |
Reliability
Section titled “Reliability”Reliability
| Field | Type | Required | Description |
|---|---|---|---|
timeout |
string |
Timeout. |
Response
Section titled “Response”Response
| Field | Type | Required | Description |
|---|---|---|---|
custom-response |
multiline-text (string) |
Respond using this text. | |
response |
Response |
Response policy for incoming HTTP requests. | |
source-ip-field |
field (string) |
If specified the source IP address for the HTTP request to the server will be stored in the specified field. Examples: data_field |
Security
Section titled “Security”Security
| Field | Type | Required | Description |
|---|---|---|---|
tls |
Tls |
Optional TLS certificate and key. |
Server
Section titled “Server”Server
| Field | Type | Required | Description |
|---|---|---|---|
address |
string |
✅ | Server listens on this address:port. |
path |
string |
Optionally restrict to this path. | |
content-type |
string |
Optional content type for responses. |
Schema
Section titled “Schema”- Body Capture Fields
- Response Fields
- Tls Fields
- Body Capture - Byte Exact Options
- Response - Mode Options
Body Capture Fields
Section titled “Body Capture Fields”| Field | Type | Required | Description |
|---|---|---|---|
text ✓ |
boolean (bool) |
Retain the compatibility body text field (defaults to true).Default: true |
|
byte-exact |
Byte Exact |
Optional byte-exact JSON-safe representation of the original request body. Allowed values: none, base64 |
Response Fields
Section titled “Response Fields”| Field | Type | Required | Description |
|---|---|---|---|
mode |
Mode |
Response mode for incoming HTTP requests. Allowed values: immediate, wait-for-workflow |
|
timeout-seconds |
number (integer) |
Maximum time to wait for a workflow response, in seconds. Examples: 42, 1.2e-10 |
|
timeout-status-code |
number (integer) |
HTTP status returned when a workflow response times out. Examples: 42, 1.2e-10 |
|
timeout-body |
multiline-text (string) |
HTTP body returned when a workflow response times out. | |
response-header-allowlist |
string[] |
Response headers that workflow completions may pass through. | |
body-max-bytes |
number (integer) |
Maximum workflow response body size in bytes. Examples: 42, 1.2e-10 |
Tls Fields
Section titled “Tls Fields”| Field | Type | Required | Description |
|---|---|---|---|
cert |
path (string) |
✅ | Path to the certificate file. Examples: /path/to/file, c:\users\joe\data\file.txt |
key |
path (string) |
✅ | Path to the private key file. Examples: /path/to/file, c:\users\joe\data\file.txt |
Body Capture - Byte Exact Options
Section titled “Body Capture - Byte Exact Options”| Value | Aliases | Name | Description |
|---|---|---|---|
none |
none | Do not add byte-exact request-body fields | |
base64 |
base64 | Add body_base64 and body_size_bytes from the original request bytes |
Response - Mode Options
Section titled “Response - Mode Options”| Value | Aliases | Name | Description |
|---|---|---|---|
immediate |
immediate | ||
wait-for-workflow |
wait-for-workflow |